# Generated from rubytest-suite-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubytest-suite

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Rubytest and a suite of common plugins
License: BSD-2-Clause
URL: http://rubyworks.github.com/rubytest-suite
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubytest-cli)
# BuildRequires: rubygem(rubytest-rake)
# BuildRequires: rubygem(rubytest-progress)
# BuildRequires: rubygem(rubytest-outline)
# BuildRequires: rubygem(rubytest-summary)
BuildArch: noarch

%description
Rubytest is a universal test harness for Ruby. This gem provides the core
library and a suite of common plugins making it a more convenient dependency
for most use cases.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.index
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Apr 20 2022 mockbuilder - 1.0.0-1
- Initial package
